export declare const slow: <T>(promise: Promise<T>, timeout?: number) => Promise<T>;
export declare const complete: (spec: Object) => any;
export declare const hasUppercase: (c: string) => boolean;
export declare const merge: <T extends Object>(source: T, ...targets: Object[]) => any;
export declare const cartesianProductOf: (arrays: any[][]) => any;
export declare const uuid: () => string;
export declare const cut: (cutoff?: number) => (text: string) => string;
export declare const setrec: (source: any, props: any[]) => any;
export declare const deepCopy: <T>(toCopy: T) => T;
export declare const sort: (model: any[], key: any) => any[];
export declare function capitalize(word: string): string;
export declare function normalise(str: string): string;
export declare function startWith(something: any): Promise<any>;
export declare function compare(s1: string, s2: string): 0 | 1 | -1;
export declare function eventOf(val: any): {
    target: {
        value: any;
    };
};
export declare function difference(a: {}, b: {}): void;
export declare function intersection(a: {}, b: {}, op: (a, b, k) => void): void;
import _deepEqual = require('deep-equal');
export declare const deepEqual: typeof _deepEqual;
declare const Helpers: {
    slow: <T>(promise: Promise<T>, timeout?: number) => Promise<T>;
    hasUppercase: (c: string) => boolean;
    normalise: (str: string) => string;
    startWith: (something: any) => Promise<any>;
    compare: (s1: string, s2: string) => 0 | 1 | -1;
    cartesianProductOf: (arrays: any[][]) => any;
    setrec: (source: any, props: any[]) => any;
    complete: (spec: Object) => any;
    deepCopy: <T>(toCopy: T) => T;
    deepEqual: (obj1: any, obj2: any) => boolean;
    cut: (cutoff?: number) => (text: string) => string;
    merge: <T extends Object>(source: T, ...targets: Object[]) => any;
    eventOf: (val: any) => {
        target: {
            value: any;
        };
    };
    difference: (a: {}, b: {}) => void;
    intersection: (a: {}, b: {}, op: (a: any, b: any, k: any) => void) => void;
    uuid: () => string;
    sort: (model: any[], key: any) => any[];
};
export default Helpers;
