"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Mode;
(function (Mode) {
    Mode[Mode["new"] = 0] = "new";
    Mode[Mode["edit"] = 1] = "edit";
    Mode[Mode["new_version"] = 2] = "new_version";
    Mode[Mode["view"] = 3] = "view";
})(Mode = exports.Mode || (exports.Mode = {}));
var isNew = function (mode) { return mode == Mode.new; };
var isEditing = function (mode) { return mode == Mode.edit; };
var isNewVersion = function (mode) { return mode == Mode.new_version; };
var isView = function (mode) { return mode == Mode.view; };
exports.mode = {
    isNew: isNew,
    isEditing: isEditing,
    isNewVersion: isNewVersion,
    isView: isView
};
//# sourceMappingURL=mode.js.map